#!/bin/sh
if ! [ $# = 1 ] ; then 
	echo $0: invalid arguments 1>&2
	exit 1
fi
LINE=`grep  " "." "$1\$ /proc/kallsyms`
if [ $? = 2 ] ; then 
	echo $0: grep error '?' 1>&2
	exit 1
fi
if [ "X""$LINE" = "X" ] ; then
	echo $0: $1 not found in /proc/kallsyms, setting to 0 1>&2
	VAL=0
else
	VAL=`echo $LINE | (read a b c; echo -n $a)`
fi
echo "unsigned long $UNQ_PREF$1=0x$VAL"\;
exit 0
